View Issue Details

IDProjectCategoryView StatusLast Update
0001477Ham Radio DeluxeBugpublic2017-05-21 23:39
ReporterSupport 
Assigned ToWA9PIE 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformINTEL386OSWIN7OS Version
Product Version 
Target VersionFixed in Version6.2.10.377 
Summary0001477: ADIF import
Description6.0 .0.132

When I try to import a Adif file from a other log program (macloggerDX) I get
date stamp wrong HRD set the time to 1899-12-30 for all logs.
I have had a discussion with macloggerDX and the have this as a possible
error/bug.

Quote start from MACloggDX support "

QSO_DATE:8>20130410
<TIME_ON:6>182900
<TIME_OFF:6>183224

The bug must be in HRD (perhaps they can't handle seconds in TIME_ON and
TIME_OFF).

The ADIF spec clearly allows for HHMM or HHMMSS

http://www.adif.org/adif224.htm " Qute END


Best Regards Christian Sierau
73 de SA5BUM
Steps To ReproduceExport a ADIF v2 log from macloggerDX version 5.47, then I do the import to the
latest HRD6.0 (licensed)after that all logs apear in the bottom of the logg.
Additional InformationReported by sa5bum
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing

Relationships

Activities

WA9PIE

2013-12-24 22:44

administrator   ~0000086

ADIF export of county data not correct
Inconsistant ADIF encoding /decoding for STX/SRX when merging log books

WA9PIE

2013-12-24 22:46

administrator   ~0000087

Reported by K7RFW
Reported by lx2oo

Removing redundant reports.

WA9PIE

2014-01-31 08:07

administrator   ~0000237

I believe we've fixed the COUNTY problem. The STX problem remains. I've worked a recent trouble ticket on this.

WA9PIE

2016-12-03 22:33

administrator   ~0003063

Fixed a long time ago.

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:30 WA9PIE Project 2 - Next Dev List (Holding Area) => @5@
2013-12-24 22:26 WA9PIE Status feedback => new
2013-12-24 22:44 WA9PIE Note Added: 0000086
2013-12-24 22:46 WA9PIE Note Added: 0000087
2014-01-31 08:07 WA9PIE Release => 6.1
2014-01-31 08:07 WA9PIE Module => Logbook
2014-01-31 08:07 WA9PIE Sub-Module => ALE Window
2014-01-31 08:07 WA9PIE Report Build => 6.1.4.189
2014-01-31 08:07 WA9PIE Note Added: 0000237
2014-01-31 08:07 WA9PIE Assigned To Support =>
2014-01-31 08:07 WA9PIE Status new => confirmed
2014-02-02 11:15 WA9PIE Summary Adif import => Bug: Adif import
2014-02-02 11:15 WA9PIE Description Updated View Revisions
2014-02-02 11:15 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 16:40 WA9PIE View Status private => public
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-25 18:13 WA9PIE Fix Build => (select)
2015-09-25 18:13 WA9PIE Summary Bug: Adif import => ADIF import
2016-12-03 22:33 WA9PIE Reported in Build (ie. 377) 6.1.4.189 => 189
2016-12-03 22:33 WA9PIE Fixed in Build (ie. 377) (select) => 377
2016-12-03 22:33 WA9PIE Note Added: 0003063
2016-12-03 22:33 WA9PIE Status confirmed => closed
2016-12-03 22:33 WA9PIE Assigned To => WA9PIE
2016-12-03 22:33 WA9PIE Resolution open => fixed
2017-03-08 19:03 WA9PIE Project 1 - Backlog => Ham Radio Deluxe
2017-05-21 23:38 WA9PIE Fixed in Version => 6.2.10.377
2017-05-21 23:39 WA9PIE Fixed in Build (ie. 377) 377 =>